<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [bitburner](./bitburner.md) &gt; [HackingFormulas](./bitburner.hackingformulas.md)

## HackingFormulas interface

Hacking formulas

**Signature:**

```typescript
interface HackingFormulas 
```

## Methods

|  Method | Description |
|  --- | --- |
|  [growPercent(server, threads, player, cores)](./bitburner.hackingformulas.growpercent.md) | Calculate the percent a server would grow to. Not exact due to limitations of mathematics. (Ex: 3.0 would grow the server to 300% of its current value.) |
|  [growThreads(server, player, targetMoney, cores)](./bitburner.hackingformulas.growthreads.md) | Calculate how many threads it will take to grow server to targetMoney. Starting money is server.moneyAvailable. |
|  [growTime(server, player)](./bitburner.hackingformulas.growtime.md) | Calculate grow time. |
|  [hackChance(server, player)](./bitburner.hackingformulas.hackchance.md) | Calculate hack chance. (Ex: 0.25 would indicate a 25% chance of success.) |
|  [hackExp(server, player)](./bitburner.hackingformulas.hackexp.md) | Calculate hack exp for one thread. |
|  [hackPercent(server, player)](./bitburner.hackingformulas.hackpercent.md) | Calculate hack percent for one thread. (Ex: 0.25 would steal 25% of the server's current value.) |
|  [hackTime(server, player)](./bitburner.hackingformulas.hacktime.md) | Calculate hack time. |
|  [weakenTime(server, player)](./bitburner.hackingformulas.weakentime.md) | Calculate weaken time. |

